' Script by David Centofanti 2010
' 
' This script will Update the last row created for the job name specified in the ITDatabase JobListLog table
' Parameters:  	0 = Profile or Job Name.  Must Match JobName in the JobList
'		1 = Return Status of the Syncback Job	
'		2 = Total Files
'		3 = Total Bytes
'		4 = Syncback error count
'		5 = notes if any

' Use the following in the SyncBack Profile After Run:
' cscript "[path]\EndJob.vbs" %PROFILENAME% %PROFILEFAILED% %COPIEDTOTAL% %BYTESCOPIED% %NONCRITICALERRORSTOTAL% 


Dim conn, insertSQL
Dim ArgObj, var1, var2 
Dim vRunID, vtotalfiles, vTotalBytes, vNotes, vErrorCount
Dim WshShl, Shell, UserVar

Set ArgObj = WScript.Arguments 
Set oShell = WScript.CreateObject ("WSCript.shell")
Set oFSO = CreateObject("Scripting.FileSystemObject")

'Read Env variables
Set Shell = OShell.Environment("Process")
vTotalFiles = Shell("COPIEDTOTAL")
vTotalBytes = Shell("BYTESCOPIED")

vProfileName = ArgObj(0) 
vStatus = ArgObj(1) 
vTotalFiles = ArgObj(2) 
vTotalBytes = ArgObj(3) 
vErrorCount = ArgObj(4) 
vNotes = ArgObj(5) 

if vStatus = null then vStatus = -99 end if
if vTotalFiles = null then vTotalFiles = -99 end if
if vTotalBytes = null then vTotalFiles = -99 end if
if vErrorCount = null then vTotalFiles = -99 end if
if vNotes = null then vNotes = "-NA-" end if 

WScript.Echo "Your errors is " & vErrorCount& "!"

' Setup the time stamp
strTime = DatePart("h",now) & ":" & DatePart("n",now) & ":" & DatePart("s",now)

' Setup the connection, assumes {SQL Server} is the driver name
set conn = createobject("ADODB.Connection")
conn.open "Driver={SQL Server};Server=SQLDB;Database=ITDatabase; Uid=user;Pwd=password;"

set vRunID = conn.execute("select max(Runid) from JobListLog where jobname = '" & vProfileName & "'")

' Get the last log entry, assume it was created via the Before Run script
conn.execute("update JobListLog set EndRun = '" & date & " " & strTime & "', status = '" & vStatus & "', FileCount = '" &  vTotalFiles & "', ByteCount = '" &  vTotalBytes & "', ErrorCount = '" & vErrorCount & "' where RunID = '" & vRunID.fields(0) & "'")

'Output value to msgbox
' WScript.Echo "ErrorCount: " & vErrorCount & "!"

conn.close
set conn = nothing



